WNTextInternal::Font Struct Reference

Internal: the fonts. More...

## Public Member Functions

| Font ()
| the constructor More...

## Public Attributes

MWAWFont | m_font
| the font More...
int | m_styleId [2]
| the char/ruler style id More...
int | m_flags [3]
| some unknown flag More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: the fonts.

## Constructor & Destructor Documentation

WNTextInternal::Font::Font | ( |  | ) |

inline

the constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |

friend

operator<<

## Member Data Documentation

int WNTextInternal::Font::m_flags[3]

some unknown flag

Referenced by Font(), and WNText::readFont().

MWAWFont WNTextInternal::Font::m_font

the font

Referenced by WNText::readFont(), and WNText::send().

int WNTextInternal::Font::m_styleId[2]

the char/ruler style id

Referenced by Font(), and WNText::readFont().

The documentation for this struct was generated from the following file:

- WNText.cxx